import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class PieChartBaseDescription extends Description {
    static $t: Type;
    private bq;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private aw;
    get fontFamily(): string;
    set fontFamily(a: string);
    private v;
    get fontSize(): number;
    set fontSize(a: number);
    private ay;
    get fontWeight(): string;
    set fontWeight(a: string);
    private ax;
    get fontStyle(): string;
    set fontStyle(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private av;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private w;
    get innerExtent(): number;
    set innerExtent(a: number);
    private br;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private a3;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private ba;
    get legendLabelMemberPath(): string;
    set legendLabelMemberPath(a: string);
    private a5;
    get labelsPosition(): string;
    set labelsPosition(a: string);
    private a4;
    get labelOuterColor(): string;
    set labelOuterColor(a: string);
    private a2;
    get labelInnerColor(): string;
    set labelInnerColor(a: string);
    private a7;
    get leaderLineVisibility(): string;
    set leaderLineVisibility(a: string);
    private a6;
    get leaderLineType(): string;
    set leaderLineType(a: string);
    private y;
    get leaderLineMargin(): number;
    set leaderLineMargin(a: number);
    private ab;
    get othersCategoryThreshold(): number;
    set othersCategoryThreshold(a: number);
    private be;
    get othersCategoryType(): string;
    set othersCategoryType(a: string);
    private bd;
    get othersCategoryText(): string;
    set othersCategoryText(a: string);
    private u;
    get explodedRadius(): number;
    set explodedRadius(a: number);
    private ad;
    get radiusFactor(): number;
    set radiusFactor(a: number);
    private o;
    get allowSliceSelection(): boolean;
    set allowSliceSelection(a: boolean);
    private n;
    get allowSliceExplosion(): boolean;
    set allowSliceExplosion(a: boolean);
    private g;
    get explodedSlices(): number[];
    set explodedSlices(a: number[]);
    private x;
    get labelExtent(): number;
    set labelExtent(a: number);
    private ag;
    get startAngle(): number;
    set startAngle(a: number);
    private bo;
    get sweepDirection(): string;
    set sweepDirection(a: string);
    private bb;
    get othersCategoryFill(): string;
    set othersCategoryFill(a: string);
    private bc;
    get othersCategoryStroke(): string;
    set othersCategoryStroke(a: string);
    private aa;
    get othersCategoryStrokeThickness(): number;
    set othersCategoryStrokeThickness(a: number);
    private z;
    get othersCategoryOpacity(): number;
    set othersCategoryOpacity(a: number);
    private bk;
    get selectedSliceFill(): string;
    set selectedSliceFill(a: string);
    private bl;
    get selectedSliceStroke(): string;
    set selectedSliceStroke(a: string);
    private af;
    get selectedSliceStrokeThickness(): number;
    set selectedSliceStrokeThickness(a: number);
    private ae;
    get selectedSliceOpacity(): number;
    set selectedSliceOpacity(a: number);
    private f;
    get brushes(): string[];
    set brushes(a: string[]);
    private h;
    get outlines(): string[];
    set outlines(a: string[]);
    private a9;
    get legendItemTemplateRef(): string;
    set legendItemTemplateRef(a: string);
    private a8;
    get legendItemBadgeTemplateRef(): string;
    set legendItemBadgeTemplateRef(a: string);
    private p;
    get isSurfaceInteractionDisabled(): boolean;
    set isSurfaceInteractionDisabled(a: boolean);
    private az;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private a0;
    get formatLegendLabelRef(): string;
    set formatLegendLabelRef(a: string);
    private ac;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private t;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private bm;
    get selectionMode(): string;
    set selectionMode(a: string);
    private bh;
    get selectedItemRef(): string;
    set selectedItemRef(a: string);
    private i;
    get selectedItems(): any[];
    set selectedItems(a: any[]);
    private bp;
    get textStyle(): string;
    set textStyle(a: string);
    private a1;
    get labelClickRef(): string;
    set labelClickRef(a: string);
    private bg;
    get selectedItemChangingRef(): string;
    set selectedItemChangingRef(a: string);
    private bj;
    get selectedItemsChangingRef(): string;
    set selectedItemsChangingRef(a: string);
    private bf;
    get selectedItemChangedRef(): string;
    set selectedItemChangedRef(a: string);
    private bi;
    get selectedItemsChangedRef(): string;
    set selectedItemsChangedRef(a: string);
    private bn;
    get sliceClickRef(): string;
    set sliceClickRef(a: string);
}
